<?php
/*
Plugin Name: GPT - Modern Maintenance Mode 11868379
Description: Displays a stylish "Sorry, we're making some updates" message for non-admin users while the site is in maintenance mode.
Author: WPGPTCoder
Author URI: https://www.wpappdev.com/product/wp-gpt-coder/
Slug: modern-maintenance-mode-11868379
*/

function gpt_maintenance_mode_11868379() {
    if (!current_user_can('administrator') && !is_user_logged_in()) {
        wp_die('<div class="gpt-maintenance-container-11868379"><h1>Website Under Maintenance</h1><p>Sorry, we’re making some updates. Please check back soon.</p></div>', 'Maintenance Mode', 503);
    }
}

function gpt_maintenance_mode_styles_11868379() {
    echo '<style>
        body {
            display: flex;
            align-items: center;
            justify-content: center;
            height: 100vh;
            margin: 0;
        }
        .gpt-maintenance-container-11868379 {
            text-align: center;
            font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
        }
        .gpt-maintenance-container-11868379 h1 {
            font-size: 40px;
            margin-bottom: 20px;
        }
        .gpt-maintenance-container-11868379 p {
            font-size: 24px;
        }
    </style>';
}

add_action('get_header', 'gpt_maintenance_mode_11868379');
add_action('admin_notices', 'gpt_maintenance_mode_styles_11868379');